Package ghidra.util.database.spatial.hyper

# Interface HyperBox<P extends HyperPoint,B extends HyperBox<P,B>>

All Superinterfaces:
  `BoundedShape<B>`, `BoundingShape<B>`

All Known Subinterfaces:
  `ValueBox`

All Known Implementing Classes:
  `DBTraceObjectValueNode`

public interface HyperBox<P extends HyperPoint,B extends HyperBox<P,B>> extends BoundingShape<B>

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default double`
  `computeAreaIntersection(B shape)`
  `default double`
  `computeAreaUnionBounds(B shape)`
  `default double`
  `computeCentroidDistance(B shape)`
  `default boolean`
  `contains(P p)`
  `default boolean`
  `doEquals(Object obj)`
  `default int`
  `doHashCode()`
  `default boolean`
  `encloses(B shape)`
  `default double`
  `getArea()`
  `default P`
  `getCenter()`
  `default double`
  `getMargin()`
  `B`
  `immutable(P lCorner, P uCorner)`
  `default B`
  `intersection(B shape)`
  `P`
  `lCorner()`
  `EuclideanHyperSpace<P,B>`
  `space()`
  `P`
  `uCorner()`
  `default B`
  `unionBounds(B shape)`

  ### Methods inherited from interface ghidra.util.database.spatial.BoundedShape

  `description, getBounds`

- ## Method Details

  - ### space

    EuclideanHyperSpace<P,B> space()

  - ### doEquals

    default boolean doEquals(Object obj)

  - ### doHashCode

    default int doHashCode()

  - ### contains

    default boolean contains(P p)

  - ### getArea

    default double getArea()
    Specified by:
      `getArea` in interface `BoundingShape<P extends HyperPoint>`

  - ### getMargin

    default double getMargin()
    Specified by:
      `getMargin` in interface `BoundingShape<P extends HyperPoint>`

  - ### getCenter

    default P getCenter()

  - ### computeAreaUnionBounds

    default double computeAreaUnionBounds(B shape)
    Specified by:
      `computeAreaUnionBounds` in interface `BoundingShape<P extends HyperPoint>`

  - ### computeAreaIntersection

    default double computeAreaIntersection(B shape)
    Specified by:
      `computeAreaIntersection` in interface `BoundingShape<P extends HyperPoint>`

  - ### computeCentroidDistance

    default double computeCentroidDistance(B shape)
    Specified by:
      `computeCentroidDistance` in interface `BoundingShape<P extends HyperPoint>`

  - ### unionBounds

    default B unionBounds(B shape)
    Specified by:
      `unionBounds` in interface `BoundingShape<P extends HyperPoint>`

  - ### encloses

    default boolean encloses(B shape)
    Specified by:
      `encloses` in interface `BoundingShape<P extends HyperPoint>`

  - ### lCorner

    P lCorner()

  - ### uCorner

    P uCorner()

  - ### immutable

    B immutable(P lCorner, P uCorner)

  - ### intersection

    default B intersection(B shape)